require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
    module Activity
      class ActivityCreate < UU::OS::REST::DTO

        # @see Activity#create
        attr_accessor :template_uri

        # @see Activity#create
        attr_accessor :activity_type

        # @see Activity#create
        attr_accessor :name

        # @see Activity#create
        attr_accessor :code

        # @see Activity#create
        attr_accessor :description

        # @see Activity#create
        attr_accessor :date_from

        # @see Activity#create
        attr_accessor :date_start

        # @see Activity#create
        attr_accessor :date_to

        # @see Activity#create
        attr_accessor :date_expiration

        # @see Activity#create
        attr_accessor :competent_role_uri

        # @see Activity#create
        attr_accessor :executive_role_uris

        # @see Activity#create
        attr_accessor :related_artifact_uri

        # @see Activity#create
        attr_accessor :related_object_uri

        # @see Activity#create
        attr_accessor :allow_executive_role_change

        # @see Activity#create
        attr_accessor :allow_subactivities

        # @see Activity#create
        attr_accessor :block_time_in_calendar

        # @see Activity#create
        attr_accessor :is_competent_role_participating

        # @see Activity#create
        attr_accessor :notify

        # @see Activity#create
        attr_accessor :parameters
        def template_uri
          attributes[:templateUri]
        end

        def template_uri=(val)
          if val
            attributes[:templateUri] = UU::OS::UESURI.new(val)
          else
            attributes[:templateUri] = nil
          end
        end

        def activity_type
          attributes[:activityType]
        end

        def activity_type=(val)
          attributes[:activityType] = val
        end

        def name
          attributes[:name]
        end

        def name=(val)
          attributes[:name] = val
        end

        def code
          attributes[:code]
        end

        def code=(val)
          attributes[:code] = val
        end

        def description
          attributes[:description]
        end

        def description=(val)
          attributes[:description] = val
        end

        def date_from
          attributes[:dateFrom]
        end

        def date_from=(val)
          attributes[:dateFrom] = val
        end

        def date_start
          attributes[:dateStart]
        end

        def date_start=(val)
          attributes[:dateStart] = val
        end

        def date_to
          attributes[:dateTo]
        end

        def date_to=(val)
          attributes[:dateTo] = val
        end

        def date_expiration
          attributes[:dateExpiration]
        end

        def date_expiration=(val)
          attributes[:dateExpiration] = val
        end

        def competent_role_uri
          attributes[:competentRoleUri]
        end

        def competent_role_uri=(val)
          if val
            attributes[:competentRoleUri] = UU::OS::UESURI.new(val)
          else
            attributes[:competentRoleUri] = nil
          end
        end

        def executive_role_uris
          attributes[:executiveRoleUris]
        end

        def executive_role_uris=(val)
          attributes[:executiveRoleUris] = val
        end

        def related_artifact_uri
          attributes[:relatedArtifactUri]
        end

        def related_artifact_uri=(val)
          if val
            attributes[:relatedArtifactUri] = UU::OS::UESURI.new(val)
          else
            attributes[:relatedArtifactUri] = nil
          end
        end

        def related_object_uri
          attributes[:relatedObjectUri]
        end

        def related_object_uri=(val)
          if val
            attributes[:relatedObjectUri] = UU::OS::UESURI.new(val)
          else
            attributes[:relatedObjectUri] = nil
          end
        end

        def allow_executive_role_change
          attributes[:allowExecutiveRoleChange]
        end

        def allow_executive_role_change=(val)
          attributes[:allowExecutiveRoleChange] = val
        end

        def allow_subactivities
          attributes[:allowSubactivities]
        end

        def allow_subactivities=(val)
          attributes[:allowSubactivities] = val
        end

        def block_time_in_calendar
          attributes[:blockTimeInCalendar]
        end

        def block_time_in_calendar=(val)
          attributes[:blockTimeInCalendar] = val
        end

        def is_competent_role_participating
          attributes[:isCompetentRoleParticipating]
        end

        def is_competent_role_participating=(val)
          attributes[:isCompetentRoleParticipating] = val
        end

        def notify
          attributes[:notify]
        end

        def notify=(val)
          attributes[:notify] = val
        end

        def parameters
          attributes[:parameters]
        end

        def parameters=(val)
          attributes[:parameters] = val
        end

      end
    end

  end
end
