# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Permission.
    module Permission
      # Class containing permission possible levels.
      class PermissionLevel
        
        # Level Revoke.
        REVOKE = 'REVOKE'

        # Level Guest.
        GUEST = 'GUEST'

        # Level Assistance.
        ASSISTANCE = 'ASSISTANCE'

        # Level Executive
        EXECUTIVE = 'EXECUTIVE'

        # Level Revoke with the Force flag.
        REVOKE_FORCE = '$REVOKE'

        # Level Guest with the Force flag.
        GUEST_FORCE = '$GUEST'

        # Level Assistance with the Force flag.
        ASSISTANCE_FORCE = '$ASSISTANCE'

        # Level Executive with the Force flag.
        EXECUTIVE_FORCE = '$EXECUTIVE'
      end
    end
  end
end