require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
    module PersonalRole
      # Attributes of the user setting for artifact presentation.
      # @see PersonalRole#set_artifact_presentation_attributes
      class PersonalRoleArtifactPresentationAttributes < UU::OS::REST::DTO

        # @see PersonalRole#set_artifact_presentation_attributes
        attr_accessor :personal_role_uri

        # @see PersonalRole#set_artifact_presentation_attributes
        attr_accessor :artifact_width

        # @see PersonalRole#set_artifact_presentation_attributes
        attr_accessor :header_display_mode

        # @see PersonalRole#set_artifact_presentation_attributes
        attr_accessor :control_bar_display_mode

        #
        # @see PersonalRole#set_artifact_presentation_attributes
        attr_accessor :pin_artifact_header

        # @deprecated Use {#artifact_display_mode} instead.
        # @see PersonalRole#set_artifact_presentation_attributes
        attr_accessor :context_menu_display_mode

        # @see PersonalRole#set_artifact_presentation_attributes
        attr_accessor :artifact_display_mode
        def personal_role_uri
          attributes[:personalRoleUri]
        end

        def personal_role_uri=(val)
          if val
            attributes[:personalRoleUri] = UU::OS::UESURI.new(val)
          else
            attributes[:personalRoleUri] = nil
          end
        end

        def artifact_width
          attributes[:artifactWidth]
        end

        def  artifact_width=(val)
          attributes[:artifactWidth] = val
        end

        def header_display_mode
          attributes[:headerDisplayMode]
        end

        def header_display_mode=(val)
          attributes[:headerDisplayMode] = val
        end

        def control_bar_display_mode
          attributes[:controlBarDisplayMode]
        end

        def control_bar_display_mode=(val)
          attributes[:controlBarDisplayMode] = val
        end

        def pin_artifact_header
          attributes[:pinArtifactHeader]
        end

        def pin_artifact_header=(val)
          attributes[:pinArtifactHeader] = val
        end

        # @deprecated
        def context_menu_display_mode
          attributes[:contextMenuDisplayMode]
        end

        # @deprecated
        def context_menu_display_mode=(val)
          attributes[:contextMenuDisplayMode] = val
        end

        def artifact_display_mode
          attributes[:artifactDisplayMode]
        end

        def artifact_display_mode=(val)
          attributes[:artifactDisplayMode] = val
        end

      end
    end
  end
end
