module UU
  module OS
    module PersonalRole
      # Territory type enumeration.
      class TerritoryType

        # Represents a business territory.
        BUSINESS = 'BUSINESS'

        # Represents a my territory (personal territory of some user).
        MY = 'MY'

        # Represents a territory of a friend (personal territory different from my territory).
        FRIEND = 'FRIEND'

        # Represents a territory of users who do not have their own personal territory.
        ACCESS = 'ACCESS'

        # Represents a territory of uuEEs.
        UUEE = 'UUEE'

        # Represents a system territory.
        SYSTEM = 'SYSTEM'

        # Represents a territory container.
        CONTAINER = 'CONTAINER'

      end

    end
  end

end
