require 'uu/os/rest/paging_criteria'

module UU
  module OS

      module Property

        class PropertyGetEntryList < UU::OS::REST::PagingCriteria

          # Flag for recursive listing. It means that if the listed property collection contains inner collections
          # and the recursive flag is true, entries of the all inner collections are in result too. When the recursive
          # flag is nil or false, only entries are returned exactly from the listed folder.
          attr_accessor :recursive

          def recursive 
            attributes[:recursive]
          end

          def recursive=(val) 
            attributes[:recursive] = val
          end

        end

      end
    end

end
