require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
    module PropertyTemplate
      class PropertyTemplateCollectionAttributes < UU::OS::REST::DTO

        # UESURI of the property collection template.
        attr_accessor :uri

        # Name of the property collection template. 
        attr_accessor :name

        # Code of the property collection template.
        attr_accessor :code

        # Description of the property collection template.
        attr_accessor :description

        # UESURI of the property collection template location (group). References an existing property template collection.
        attr_accessor :parent_node_uri

        # Version of the property collection template.
        attr_accessor :version
        
        # UESURI of the entity type of the property template collection
        attr_accessor :entity_type_uri
        
        def uri
          attributes[:uri]
        end

        def uri=(val)
          if val
            attributes[:uri] = UU::OS::UESURI.new(val)
          else
            attributes[:uri] = nil
          end
        end

        def name
          attributes[:name]
        end

        def name=(val)
          attributes[:name] = val
        end

        def code
          attributes[:code]
        end

        def code=(val)
          attributes[:code] = val
        end

        def description
          attributes[:description]
        end

        def description=(val)
          attributes[:description] = val
        end

        def parent_node_uri
          attributes[:parentNodeUri]
        end

        def parent_node_uri=(val)
          if val
            attributes[:parentNodeUri] = UU::OS::UESURI.new(val)
          else
            attributes[:parentNodeUri] = nil
          end
        end

        def version 
          attributes[:version]
        end

        def version=(val) 
          attributes[:version] = val
        end
        
        def entity_type_uri
          attributes[:entityTypeUri]
        end
 
        def entity_type_uri=(val)
          if val
            attributes[:entityTypeUri] = UU::OS::UESURI.new(val)
          else
            attributes[:entityTypeUri] = nil
          end
        end

      end

    end
  end
end
