require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
      module PropertyTemplate
        # @see PropertyTemplate#create
        class PropertyTemplateCreate < UU::OS::REST::DTO

          # @see PropertyTemplate#create
          attr_accessor :name

          # @see PropertyTemplate#create
          attr_accessor :code

          # @see PropertyTemplate#create
          attr_accessor :description          

          # @see PropertyTemplate#create
          attr_accessor :type

          # @see PropertyTemplate#create
          attr_accessor :value
          
          # @see PropertyTemplate#create
          attr_accessor :value_restriction

          def name 
            attributes[:name]
          end

          def name=(val) 
            attributes[:name] = val
          end

          def code 
            attributes[:code]
          end

          def code=(val) 
            attributes[:code] = val
          end

          def description 
            attributes[:description]
          end

          def description=(val) 
            attributes[:description] = val
          end

          def template_uri 
            attributes[:templateUri]
          end

          def template_uri=(val) 
            if val
              attributes[:templateUri] = UU::OS::UESURI.new(val)
            else
              attributes[:templateUri] = nil
            end
          end

          def type 
            attributes[:type]
          end

          def type=(val) 
            attributes[:type] = val
          end

          def value 
            attributes[:value]
          end

          def value=(val) 
            attributes[:value] = val
          end
          
          def value_restriction 
            attributes[:valueRestriction]
          end

          def value_restriction=(val) 
            attributes[:valueRestriction] = val
          end
          
        end

      end
    end
end
