require 'uu/os/rest/paging_criteria'

module UU
  module OS
    module RoleSearch
      class RoleSearchQuery < UU::OS::REST::PagingCriteria

        # The <b>UES query</b> string. It has to conform the uesquery syntax (see documentation
        # for more info). Filtering andorder of the result list can be specified there. When
        # null is set,no filtering is applied and entries are ordered by name of castedsubjects
        # (and code as the second criteria).
        attr_accessor :query

        # Whether to include system area in the search.
        attr_accessor :include_system_area

        # Whether to search recursively (including subordinate organizational units).
        attr_accessor :recursive
        def query 
          attributes[:query]
        end

        def query=(val) 
          attributes[:query] = val
        end

        def include_system_area 
          attributes[:includeSystemArea]
        end

        def include_system_area=(val) 
          attributes[:includeSystemArea] = val
        end

        def recursive 
          attributes[:recursive]
        end

        def recursive=(val) 
          attributes[:recursive] = val
        end

      end
    end
  end
end
